%define		gst_req	0.10.2
Name: 		gnonlin
Version: 	0.10.0.5
Release:	6
Summary: 	GStreamer extension library for non-linear editing

Group: 		System Environment/Libraries
License: 	LGPL
URL:		http://gnonlin.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/gnonlin/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	gstreamer-devel >= %{gst_req}

%description
Gnonlin is a library built on top of GStreamer (http://gstreamer.net)
which provides support for writing non-linear audio and video editing
applications. It introduces the concept of a timeline.

%package devel
Summary: 	Development headers for the gnonlin libraries
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to build applications with gnonlin.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/gstreamer-0.10/libgnl.la
# Not in Makefile
install -p -D -m 0644 gnl/gnlcomposition.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlcomposition.h
install -p -D -m 0644 gnl/gnlfilesource.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlfilesource.h
install -p -D -m 0644 gnl/gnl.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnl.h
install -p -D -m 0644 gnl/gnlmarshal.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlmarshal.h
install -p -D -m 0644 gnl/gnlobject.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlobject.h
install -p -D -m 0644 gnl/gnloperation.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnloperation.h
install -p -D -m 0644 gnl/gnlsource.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlsource.h
install -p -D -m 0644 gnl/gnltypes.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnltypes.h
install -p -D -m 0644 gnl/gnlversion.h $RPM_BUILD_ROOT%{_includedir}/gnl/gnlversion.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING.LIB README
%{_libdir}/gstreamer-0.10/libgnl*

%files devel
%defattr(-, root, root, -)
%{_includedir}/gnl
%{_libdir}/pkgconfig/gnonlin.pc

%changelog
* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-6
- bump release because of build system problem

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-5
- bump release because of build system problem

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-4
- rebuild for Fedora Extras 5

* Wed Feb 08 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-3
- remove gettext-devel requirement as aclocal and autoconf not run
- remove pre and post requirements
- update URL
- fix Groups
- ensure proper license is included

* Tue Feb 07 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-2
- remove %%define name
- BuildRequires gettext-devel
- remove gst-register
- rm %%{_libdir}/gstreamer-0.10/libgnl.la after install
- -devel package owns %%{_includedir}/gnl
- avoid %makeinstall
- remove aclocal and autoconf from %%prep

* Mon Jan 23 2006 W. Michael Petullo <mike[@]flyn.org> 0.10.0.5-1
- updated package to 0.10.0.5 and Fedora

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial package

* Mon Mar 21 2005 Edward Hervey <bilboed at bilboed dot com>
- First version of spec
